#!/bin/sh

######################################################################
#### Router needs "luci-mod-rpc" package                          ####
#### Install with:                                                ####
####     opkg install luci-mod-rpc                                ####
######################################################################


NEW_CHANNEL=$1
NEW_CHANWIDTH=$2

CWD=$(dirname $0)
ROUTER_IP=$(/bin/sh "$CWD/general/get_router_ip.sh")
BRAND=$(/bin/sh $CWD/general/get_router_brand.sh)

case $BRAND in
    "avm")
        /bin/sh $CWD/fritzbox/fb_change_channel.sh $NEW_CHANNEL;;
    "compal")
        /bin/sh $CWD/compal/cbn_change_channel.sh $NEW_CHANNEL $NEW_CHANWIDTH;;
    "turris")
        /bin/sh $CWD/turris/turris_change_channel.sh $NEW_CHANNEL;;
    "speedport")
        #/bin/sh $CWD/speedport/sp_change_channel.sh $NEW_CHANNEL $NEW_CHANWIDTH;;
        echo "Change channel for speedport not implemented yet.";;
    "easybox")
        /bin/sh $CWD/easybox/eb_change_channel.sh $NEW_CHANNEL $NEW_CHANWIDTH;;
esac
