#!/bin/sh

### Read router LAN MAC address

CWD=$(dirname $0)
ROUTER_IP=$(/bin/sh "${CWD}/get_router_ip.sh")
MAC=$(grep "${ROUTER_IP} " /proc/net/arp | awk '{print $4}')
if [ -n "$MAC" ]
then
    echo ${MAC}
else
    echo "No MAC read yet."
    exit 1
fi
