#!/bin/sh

CWD=$(dirname $0)
source $CWD/../router.conf

ROUTER_IP=$(/bin/sh $CWD/../general/get_router_ip.sh)

upnp_enabled=$(sh $CWD/fb_wan_stats.sh -r $ROUTER_IP -t)
tr064_enabled=$(sh $CWD/../tr064/fb_tr064.sh -r $ROUTER_IP -t)

#echo $upnp_enabled
#echo $tr064_enabled

if [ -n "$upnp_enabled" ]; then
	echo "UPNP is enabled"
elif [ -n "$tr064_enabled" ]; then
	echo "TR-064 is enabled"
else
	echo "Please enable UPnP or TR-064."
	exit 1
fi
