#!/bin/sh 

echo "Mosquitto CID listener is starting!"

source /root/mosquitto-CID.conf
source /root/firebase.conf

mosquitto_sub -h $SERVER -t $TOPIC -p 8883 --capath /etc/ssl/certs -u $USERNAME -P $PASSWORD | while read RAW_DATA;
do	 
  case "$RAW_DATA" in
    *"ETUID"*) 
	UID="$(echo $RAW_DATA | cut -d':' -f2)"
	echo $UID
	echo $(date)' : Replace UID with new one'$UID >> /var/log/charlie.log;
	/bin/sed -i 's/.*TOPIC.*/TOPIC="'$UID'\/'$CID'"/' /root/mosquitto.conf;
	/bin/sed -i 's/.*USERNAME.*/USERNAME="'$UID'"/' /root/mosquitto.conf;
	/bin/sed -i 's/.*UID_USER.*/UID_USER="'$UID'"/' /root/firebase.conf; 
	/root/upload_ip.sh;
	/bin/ash /root/restart-mosquitto.sh;
	/bin/ash /root/upload_ip.sh;;
    *"ELETEUID"*)
	UID="$(echo $RAW_DATA | cut -d':' -f2)"
	echo $(date)' : Delete UID if UID = '$UID >> /var/log/charlie.log;
	/bin/sed -i 's/.*TOPIC.*/TOPIC="-"/' /root/mosquitto.conf;
        /bin/sed -i 's/.*USERNAME.*/USERNAME="-"/' /root/mosquitto.conf;
	/bin/sed -i 's/.UID_USER.*/UID_USER="-"/' /root/firebase.conf;
        /bin/ash /root/restart-mosquitto.sh;;
    *) echo $(date)' : CID Message received - but not valid' >> /var/log/charlie.log ;;
  esac
done
