#!/bin/sh
source ./firebase.conf
source ./mosquitto-CID.conf
	
RESP_TOKEN=$(curl -s "$TOKEN_URL" \
	-H 'Content-Type: application/json' \
	--data-binary '{"email":"'$FB_EMAIL'","password":"'$FB_PASSWORD'","returnSecureToken":true}')
ID_TOKEN=$(echo $RESP_TOKEN | /usr/bin/jsonfilter -e '$.idToken')
CHARLIE_ID=$(echo $RESP_TOKEN | /usr/bin/jsonfilter -e '$.localId')
	
MYIP=$(ifconfig br-lan | sed -En 's/127.0.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p')
data='"'"$MYIP"'"'

statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/users/$UID_USER/charlie/charlies/$CID/ip.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then
	echo $(date)' : Error while uploading IP to Firebase' >> /var/log/charlie.log;
else
	echo $(date)' : Uploaded IP:'$MYIP' to CID:'$CID >> /var/log/charlie.log;
fi

data='"'"$TOPIC"'"'
statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/users/$UID_USER/charlie/charlies/$CID/charlieId.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then
        echo $(date)' : Error while uploading CharlieID to Firebase' >> /var/log/charlie.log;
else
        echo $(date)' : Uploaded CharlieID:'$TOPIC' to CID:'$CID >> /var/log/charlie.log;
fi

source ./mosquitto.conf

data='"'"$TOPIC"'"'                                                                   
statuscode=$(curl -s -w "%{http_code}" -o /dev/null -X PUT -d "$data" $FIREBASE_URL/users/$UID_USER/charlie/charlies/$CID/topic.json?auth=$ID_TOKEN)
if [ "$statuscode" -ne  "200" ]; then                                                                                                                   
        echo $(date)' : Error while uploading Topic to Firebase' >> /var/log/charlie.log;                                                           
else                                                                                                                                                    
        echo $(date)' : Uploaded CharlieID:'$TOPIC' to topic:'$CID >> /var/log/charlie.log;                                                               
fi   
